-- quasi.ads	Quasi-Random number generator specification

--    (c) Copyright 1997 Everett F. Carter Jr.   Permission is granted
--    by the author to use this software for any application provided
--    this copyright notice is preserved.

-- $Author:   skip  $
-- $Workfile:   quasirandom.ads  $
-- $Revision:   1.0  $
-- $Date:   24 Jul 1997 11:19:18  $

-- ==================================================================

with Vector; use Vector;

package QuasiRandom is

	maxdim : constant := 52;

	type QRrec is limited private;
        
	procedure Initialize(qr: in out QRrec; dim : integer);
        procedure Number(qr : in out QRrec; x : out Vector_Type);

	function Dimension(qr : QRrec)  return integer;	-- return dimension
        function Status(qr : QRrec)     return integer;	-- return error status
        
private
	type BIT_ARRAY is array(0..51) of integer;
        
	type QRrec is
              record
                err_flag : integer;
                dim      : integer;
                index    : integer;
                ix       : bit_array;
              end record;
              
end QuasiRandom;


