-- Vector.adb	Implementation of a 1-D floating point array
-- 
--    (c) Copyright 1997 Everett F. Carter Jr.   Permission is granted
--    by the author to use this software for any application provided
--    this copyright notice is preserved.

-- $Author:   skip  $
-- $Workfile:   vector.adb  $
-- $Revision:   1.0  $
-- $Date:   20 Jul 1997 18:51:20  $

-- ==================================================================





with text_io; use text_io;

package body VECTOR is

	package io_Real is new float_io(Element);
        use io_Real;


procedure put(x : in Vector_Type; width : in integer := 1) is
    counter : integer := 1;
begin
	for i in x'range loop
		put( x(i) );
                if counter MOD width = 0 then
                		new_line;
                else
                	put( "   " );
                end if;
                counter := counter + 1;
        end loop;
        
end put;


procedure put(File : in File_Type; x : in Vector_Type;
               width : in integer := 1) is
    counter : integer := 1;
begin
	for i in x'range loop
		put(File, x(i) );
                if counter MOD width = 0 then
                		New_Line(File);
                else
                	put(File, "   " );
                end if;
                counter := counter + 1;
        end loop;
        
end put;


procedure Get(X : out Vector_Type) is
begin
	for i in x'range loop
		Get( x(i) );
        end loop;
        
end Get;


procedure Get(File : in File_Type; X : out Vector_Type) is
begin
	for i in x'range loop
		Get(File, x(i) );
        end loop;
        
end Get;

end VECTOR;

