-- Vector.ads	Specification of a 1-D floating point array
--              Nothing fancy here, just the type specification
--              and simple I/O.  See the Linear
--              Algebra package for more extensive operations
--
--    (c) Copyright 1997 Everett F. Carter Jr.   Permission is granted
--    by the author to use this software for any application provided
--    this copyright notice is preserved.

-- $Author:   skip  $
-- $Workfile:   vector.ads  $
-- $Revision:   1.0  $
-- $Date:   20 Jul 1997 18:51:10  $

-- ==================================================================




with text_io; use text_io;

package Vector is

subtype Index is Natural;
subtype Element is Float;

type Vector_type is array(Index range<>) of Element;
type VectorHandle is access Vector_Type;

-- type Matrix_type is array(Index range<>, Index range<>) of Element;
-- type MatrixHandle is access Matrix_type;


procedure Put(x : in Vector_Type; width : in integer := 1);
procedure Put(File: in File_Type; X : in Vector_Type; Width : in Integer := 1);

procedure Get(X : out Vector_Type);
procedure Get(File: in File_Type; X : out Vector_Type);

end Vector;

